/*
 * 遙控閃燈程式  1.0 ver
 */             西湖吳老

#include <IRremote.h>

int RECV_PIN = 11;  //紅外線接收器所連接的洞號碼

IRrecv irrecv(RECV_PIN);

decode_results results;  

int what;  //宣告一個變數what

void setup()
{
  Serial.begin(9600);  //建立與arduino的連線
  irrecv.enableIRIn(); // 啟動紅外線接收
}

void loop() {
  if (irrecv.decode(&results)) {         //如果有接收到紅外線訊息
    Serial.println(results.value, HEX);  //將接收到的訊息以16進位模式顯示在通訊欄
    
    //根據接收到的數據給予what變數一個數字
    switch(results.value){
      case 0xFF30CF :  //0x開頭表示是16進位的數字
        what = 1;
        break;
      case 0xFF18E7 :
        what = 2;
        break;
      case 0xFF7A85 :
        what = 3;
        break;
    }
    irrecv.resume(); //接收下一個紅外線命令 
  }
  //根據what的數字給予執行的命令
      switch(what){
      case 1:
        happy1();
        break;
      case 2:
        happy2();
        break;
      case 3:
        happy3();
        break;
    }
}

void happy1(){
  digitalWrite(3,HIGH);
  digitalWrite(4,HIGH);
  digitalWrite(5,HIGH);
  digitalWrite(6,HIGH);
  digitalWrite(7,HIGH);
  digitalWrite(8,HIGH);
  digitalWrite(9,HIGH);
}

void happy2(){
  digitalWrite(3,LOW);
  digitalWrite(4,LOW);
  digitalWrite(5,LOW);
  digitalWrite(6,LOW);
  digitalWrite(7,LOW);
  digitalWrite(8,LOW);
  digitalWrite(9,LOW);
}
void happy3(){   
  digitalWrite(3,HIGH);
  delay(50);
  digitalWrite(3,LOW);
  delay(50);
  digitalWrite(4,HIGH);
  delay(50);
  digitalWrite(4,LOW);
  delay(50);
  digitalWrite(5,HIGH);
  delay(50);
  digitalWrite(5,LOW);
  delay(50);
  digitalWrite(6,HIGH);
  delay(50);
  digitalWrite(6,LOW);
  delay(50);
  digitalWrite(7,HIGH);
  delay(50);
  digitalWrite(7,LOW);
  delay(50);
  digitalWrite(8,HIGH);
  delay(50);
  digitalWrite(8,LOW);
  delay(50);
  digitalWrite(9,HIGH);
  delay(50);
  digitalWrite(9,LOW);
  delay(50);
  digitalWrite(8,HIGH);
  delay(50);
  digitalWrite(8,LOW);
  delay(50);
  digitalWrite(7,HIGH);
  delay(50);
  digitalWrite(7,LOW);
  delay(50);
  digitalWrite(6,HIGH);
  delay(50);
  digitalWrite(6,LOW);
  delay(50);
  digitalWrite(5,HIGH);
  delay(50);
  digitalWrite(5,LOW);
  delay(50);
  digitalWrite(4,HIGH);
  delay(50);
  digitalWrite(4,LOW);
  delay(50);
}
